Subject: Re: [Idr] WG adoption of draft-heitz-idr-large-community; one week to comment on early code point allocation
From: Jeffrey Haas <[email-masked]>
To: Job Snijders <[email-masked]>
Cc: In-Depth Review <[email-masked]>
Date: Tue, 27 Sep 2016 11:11:54 -0400
List-Id: Inter-Domain Routing <idr.ietf.org>

> On Sep 27, 2016, at 10:58 AM, Job Snijders <[email-masked]> wrote:
> 
> On Tue, Sep 27, 2016 at 10:31:45AM -0400, Jeffrey Haas wrote:
>>> On Sep 27, 2016, at 4:24 AM, Job Snijders <[email-masked]> wrote:
>>> 
>>> On Mon, Sep 26, 2016 at 07:31:57PM -0400, Jeffrey Haas wrote:
>>>> FWIW, I think things with "well known" semantics should stick to the
>>>> reserved code point space in 1997 communities unless there's some
>>>> motivation to have a common parameter/argument in it.  In that case,
>>>> it fits the case for large comms anyway.
>>> 
>>> I agree with you Jeff. 
>>> 
>>> How about the following:
>>> 
>>> """
>>>   The Large Community attribute values in the following ranges are
>>>   reserved:
>>> 
>>>            0:0:0 -          0:4294967295:4294967295
>>>   4294967295:0:0 - 4294967295:4294967295:4294967295
>>> 
>>> """
>>> 
>>> This way the lowest and highest possible value are reserved, and at some
>>> later point (part of) these reserved ranges could be converted to
>>> Well-known or something else if that need arises.
>> 
>> I'm fine with such a reservation. However, it'd be good to get the
>> reasoning in the doc rather than letting it be inferred after the
>> fact.
> 
> Thank you for your feedback.
> 
> Would you be willing to (unicast) a couple of sentences to describe why
> 0 and 2^32-1 are special?

https://tools.ietf.org/html/draft-haas-code-point-reservation-bcp-02 <https://tools.ietf.org/html/draft-haas-code-point-reservation-bcp-02>

The above draft got quite a bit of feedback from a few individuals with MUCH stronger opinions than I did as to how to write recommendations.  However, the document captures my own opinions.

This doesn't answer your specific request, but at least gives you an idea of my thinking.

-- Jeff